org.apache.nutch.api.resources

## Class ConfigResource

- java.lang.Object
- - org.apache.nutch.api.resources.AbstractResource
  - - org.apache.nutch.api.resources.ConfigResource

-     public class ConfigResource
      extends AbstractResource

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `DEFAULT`

    - ### Fields inherited from class org.apache.nutch.api.resources.AbstractResource

      `configManager, jobManager, server`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ConfigResource()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `createConfig(NutchConfig newConfig)`
    `void` | `deleteConfig(String configId)`
    `Map<String,String>` | `getConfig(String configId)`
    `Set<String>` | `getConfigs()`
    `String` | `getProperty(String configId, String propertyId)`
    `javax.ws.rs.core.Response` | `update(String config, String property, String value)`

    - ### Methods inherited from class org.apache.nutch.api.resources.AbstractResource

      `throwBadRequestException`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### DEFAULT

          public static final String DEFAULT

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### ConfigResource

          public ConfigResource()

  - ### Method Detail

    - #### getConfigs

          public Set<String> getConfigs()

    - #### getConfig

          public Map<String,String> getConfig(String configId)

    - #### getProperty

          public String getProperty(String configId,
                           String propertyId)

    - #### deleteConfig

          public void deleteConfig(String configId)

    - #### createConfig

          public String createConfig(NutchConfig newConfig)

    - #### update

          public javax.ws.rs.core.Response update(String config,
                                         String property,
                                         String value)

Copyright © 2015 The Apache Software Foundation